DataCubeControllerUpdateDataCube Method |
PUT /DataCube/{id}
Updates a data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult UpdateDataCube(
Guid id,
[FromBodyAttribute] DataCubeData options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function UpdateDataCube (
id As Guid,
<FromBodyAttribute> options As DataCubeData,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ UpdateDataCube(
Guid id,
[FromBodyAttribute] DataCubeData^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member UpdateDataCube :
id : Guid *
[<FromBodyAttribute>] options : DataCubeData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube to update. - options
- Type: Dundas.BI.WebApi.ModelsDataCubeData
The data of the data cube that needs to be modified. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
DataCubeData Object containing the data cube data, or a status code indicating the problem.
See Also